## ufw-kde 0.5.0

=== CMakeLists.txt ===
project(kcm_ufw)
cmake_minimum_required(VERSION 2.6.0)

find_package(KDE4 REQUIRED)
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory(helper)
add_subdirectory(kcm)

add_subdirectory(doc)

#kde4_install_icons( ${ICON_INSTALL_DIR} )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/ufw)

=== helper/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

set(kcm_ufw_helper_SRCS helper.cpp)
kde4_add_executable(kcm_ufw_helper ${kcm_ufw_helper_SRCS})

set_target_properties(kcm_ufw_helper PROPERTIES OUTPUT_NAME kcm_ufw_helper)
target_link_libraries(kcm_ufw_helper ${KDE4_KDECORE_LIBS})
configure_file(kcm_ufw_helper.py.cmake ${CMAKE_BINARY_DIR}/kcm_ufw_helper.py)

install(TARGETS kcm_ufw_helper DESTINATION ${LIBEXEC_INSTALL_DIR})
install(PROGRAMS ${CMAKE_BINARY_DIR}/kcm_ufw_helper.py DESTINATION ${LIBEXEC_INSTALL_DIR})

configure_file(org.kde.ufw.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.ufw.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES defaults DESTINATION ${DATA_INSTALL_DIR}/kcm_ufw)

kde4_install_auth_helper_files(kcm_ufw_helper org.kde.ufw root)
kde4_install_auth_actions(org.kde.ufw ufw.actions)

=== kcm/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(kcm_ufw_SRCS kcm.cpp ruledialog.cpp types.cpp strings.cpp rule.cpp ruleslist.cpp profile.cpp appprofiles.cpp 
    statusbox.cpp stackedwidget.cpp combobox.cpp lineedit.cpp blocker.cpp logviewer.cpp)
kde4_add_ui_files(kcm_ufw_SRCS ufw.ui rulewidget.ui)
kde4_add_plugin(kcm_ufw ${kcm_ufw_SRCS})

target_link_libraries(kcm_ufw ${KDE4_KIO_LIBS})

install( TARGETS kcm_ufw  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ufw.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

#kde4_install_icons( ${DATA_INSTALL_DIR}/kufw/icons )

=== debian/changelog ===
ufw-kde (0.5.0-0ubuntu1) trusty; urgency=medium

  * Initial upload

 -- Ovidiu-Florin Bogdan <ovidiu.b13@gmail.com>  Fri, 24 Jan 2014 19:11:42 +0000

=== debian/control ===
Source: ufw-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Ovidiu-Florin Bogdan <ovidiu.b13@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, kdelibs5-dev, pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/sysadmin/ufw-kde

Package: ufw-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, python-ufw, ufw
Description: KDE KCM to configure and control the Uncomplicated Firewall
 KDE KControl Module to configure and control the Uncomplicated Firewall.

Package: ufw-kde-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, ufw-kde (= ${binary:Version})
Description: Debug files for ufw-kde.
 KDE KControl Module to configure and control the Uncomplicated Firewall.
 Debug files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=ufw-kde-dbg
